# frozen_string_literal: true

module CustomersDot
  module Page
    class Login < Chemlab::Page
      path '/customers/sign_in'

      text_field :username, id: 'email'
      text_field :password, id: 'password'
      button :sign_in
      div :failure_alert, text: 'Invalid Email or password.'
      div :successful_gitlab_auth, text: 'Successfully authenticated from GitLab account.'
      button :sign_in_via_gitlab, text: /Sign in with your GitLab\.com account/

      # Sign in using a specified username and password
      # @param [String] username to sign in with
      # @param [String] password to sign in with
      def sign_in_as(username:, password:)
        self.username = username
        self.password = password

        sign_in
      end
    end
  end
end
